let app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {

  },

  /**
   * 生命周期函数--监听页面加载
   */
  onShow(e) {
    this.getList()
  },
  getList() {
    let that = this
    app.AjaxRequest('get', {
      'content-type': 'application/json',
      'Authorization': 'Bearer ' + app.Getopenid()
    }, '/user/profile', {}, function (res) {
      that.setData({
        memberInfo: res.data,
        sexindex: res.data.sex
      })
    })
  },
  change() {
    wx.navigateTo({
      url: '../changePassword/changePassword',
    })
  }
})